import { BaseDirective } from '../../../base.directive';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class EuiBadgeComponent extends BaseDirective {
    get cssClasses(): any;
    get ariaLabel(): string;
    set ariaLabel(value: string | null);
    protected _ariaLabel: string;
    constructor();
    getCssClasses(): string;
    static ɵfac: i0.ɵɵFactoryDef<EuiBadgeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiBadgeComponent, "span[euiBadge], eui-badge", never, { "ariaLabel": "aria-label"; }, {}, never, ["*"]>;
}
export declare class EuiBadgeModule {
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<EuiBadgeModule, [typeof EuiBadgeComponent], [typeof i1.CommonModule], [typeof EuiBadgeComponent]>;
    static ɵinj: i0.ɵɵInjectorDef<EuiBadgeModule>;
}
